import * as appService from '../services/treePage'

export default {
  namespace: 'treePage',
  state: {
    btnEntities: []
  },
  effects: {
    *getTreePageConfigInfo ({ payload }, { call }) {
      return yield call(appService.getTreePageConfigInfo, payload)
    },
  },
  reducers: {
    save (state, action) {
      return { ...state, ...action.payload }
    }
  }
}
